package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.GroupStudentEntity


@Dao
interface GroupStudentDao : BaseDao<GroupStudentEntity> {
    @Query("SELECT * FROM `group_student`")
    override fun getAll(): List<GroupStudentEntity>

    @Query("SELECT * FROM `group_student` WHERE group_id = :groupId AND student_id = :studentId")
    fun getById(groupId: Long, studentId: Long): GroupStudentEntity
}
