package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.TeacherEntity


@Dao
interface TeacherDao : BaseDao<TeacherEntity> {
    @Query("SELECT * FROM `teachers`")
    override fun getAll(): List<TeacherEntity>

    @Query("SELECT * FROM `teachers` WHERE id = :id")
    fun getById(id: Long): TeacherEntity
}
