package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.TaskGroupEntity


@Dao
interface TaskGroupDao : BaseDao<TaskGroupEntity> {
    @Query("SELECT * FROM `task_group`")
    override fun getAll(): List<TaskGroupEntity>

    @Query("SELECT * FROM `task_group` WHERE task_id = :taskId AND group_id = :groupId")
    fun getById(taskId: Long, groupId: Long): TaskGroupEntity
}
